wxWidgets: wxPropertyGridIteratorBase Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPropertyGridIteratorBase Class Reference
Class List by Category » wxPropertyGrid

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIteratorBase:
[legend]

## Detailed Description

Base for wxPropertyGridIterator classes.

# wxPropertyGridIterator

Preferable way to iterate through contents of wxPropertyGrid, wxPropertyGridManager, and wxPropertyGridPage.

See wxPropertyGridInterface::GetIterator() for more information about usage.

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPropertyGridIteratorBase ()
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property.
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property.
void | Prev ()
| Iterate to the previous property.
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, i.e.

## Constructor & Destructor Documentation

## ◆ wxPropertyGridIteratorBase()

wxPropertyGridIteratorBase::wxPropertyGridIteratorBase | ( |  | ) |

## Member Function Documentation

## ◆ Assign()

void wxPropertyGridIteratorBase::Assign | ( | const wxPropertyGridIteratorBase & | it | ) |

## ◆ AtEnd()

bool wxPropertyGridIteratorBase::AtEnd | ( |  | ) | const

## ◆ GetProperty()

wxPGProperty * wxPropertyGridIteratorBase::GetProperty | ( |  | ) | const

Get current property.

## ◆ Init() [1/2]

void wxPropertyGridIteratorBase::Init | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos = wxTOP,
|  | int | dir = 0 )

## ◆ Init() [2/2]

void wxPropertyGridIteratorBase::Init | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | wxPGProperty * | property,
|  | int | dir = 1 )

## ◆ Next()

void wxPropertyGridIteratorBase::Next | ( | bool | iterateChildren = true | ) |

Iterate to the next property.

## ◆ Prev()

void wxPropertyGridIteratorBase::Prev | ( |  | ) |

Iterate to the previous property.

## ◆ SetBaseParent()

void wxPropertyGridIteratorBase::SetBaseParent | ( | wxPGProperty * | baseParent | ) |

Set base parent, i.e.

a property when, in which iteration returns, it ends.

Default base parent is the root of the used wxPropertyGridPageState.